Rated 3 out of 5 stars

Needs Firefox 20 support.